Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 379001 - sys-libs/ldb-1.1.4 fails on portage-multilib because of waflib module's python support
Summary: sys-libs/ldb-1.1.4 fails on portage-multilib because of waflib module's pytho...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords: NeedPatch
Depends on: 373273
Blocks: portage-multilib
  Show dependency tree
 
Reported: 2011-08-13 06:21 UTC by Mario Fetka (geos_one)
Modified: 2016-01-11 21:26 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Fetka (geos_one) 2011-08-13 06:21:44 UTC
waflib wants to run python-config via python but on portage-multilib python-config is a wrapperscript in bash so it fails
disable using python to run the script will silve the problem

Reproducible: Always
Comment 1 Maxim Koltsov gentoo-dev 2011-08-13 08:24:38 UTC
Explain please how exactly it 'fails' and attach build.log. Also please try patch from bug #373273.
Comment 2 Mario Fetka (geos_one) 2011-08-13 09:39:06 UTC
the bug is the same as the other bug
thats whey i depend on the other bug its mostly the same. 

this bug is identicall to tevent talloc tdb bugs
they all suffer from the same reason that python-config is a bash script on multilib-portage systems
Comment 3 Andreis Vinogradovs ( slepnoga ) 2013-01-01 18:40:16 UTC
Reassigned to waf eclass mantainer's
Comment 4 Víctor Ostorga (RETIRED) gentoo-dev 2016-01-11 21:26:42 UTC
This is fixed in sys-libs/ldb-1.1.24-r1